I follow the video do, why?

from discord.ext import commands

bot = commands.Bot(command_prefix="z! ")

bot.lava_nodes = [
  {
    'host': 'lava.link',
    'port': 80,
    'rest_uri': f'http://lava.link:80',
    'identifier': 'MAIN',
    'passaword': 'anything',
    'region': 'singapore'
 
]

@bot.event
async def on_ready():
  print("Bot is ready to play music.")
  bot.load_extension("dismusic")

Error
File “/home/runner/thx/venv/lib/python3.8/site-packages/dismusic/events.py”, line 6, in module

What video are you following?

Anyway, the error here:

You have a { but you never close it, you are missing the }

Discord music bot in 20 lines of code - YouTube follow this video

after close it
error

Ignoring exception in on_ready
Traceback (most recent call last):
  File "/home/runner/thx/venv/lib/python3.8/site-packages/discord/ext/commands/bot.py", line 606, in _load_from_module_spec
    spec.loader.exec_module(lib)
  File "<frozen importlib._bootstrap_external>", line 843, in exec_module
  File "<frozen importlib._bootstrap>", line 219, in _call_with_frames_removed
  File "/home/runner/thx/venv/lib/python3.8/site-packages/dismusic/__init__.py", line 2, in <module>
    from .events import MusicEvents
  File "/home/runner/thx/venv/lib/python3.8/site-packages/dismusic/events.py", line 6, in <module>
    class MusicEvents(commands.Cog, wavelink.WavelinkMixin):
AttributeError: module 'wavelink' has no attribute 'WavelinkMixin'

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/home/runner/thx/venv/lib/python3.8/site-packages/discord/client.py", line 343, in _run_event
    await coro(*args, **kwargs)
  File "main.py", line 19, in on_ready
    bot.load_extension("dismusic")
  File "/home/runner/thx/venv/lib/python3.8/site-packages/discord/ext/commands/bot.py", line 678, in load_extension
    self._load_from_module_spec(spec, name)
  File "/home/runner/thx/venv/lib/python3.8/site-packages/discord/ext/commands/bot.py", line 609, in _load_from_module_spec
    raise errors.ExtensionFailed(key, e) from e
discord.ext.commands.errors.ExtensionFailed: Extension 'dismusic' raised an error: AttributeError: module 'wavelink' has no attribute 'WavelinkMixin'

code here

from discord.ext import commands

bot = commands.Bot(command_prefix="z! ")

bot.lava_nodes = [
  {
    'host': 'lava.link',
    'port': 80,
    'rest_uri': f'http://lava.link:80',
    'identifier': 'MAIN',
    'passaword': 'anything',
    'region': 'singapore'
  }
]

@bot.event
async def on_ready():
  print("Bot is ready to play music.")
  bot.load_extension("dismusic")

considering this, I would check you are writing things correctly